<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CorporateManager extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'corporate_manager';
    protected $fillable = [
        'user_id',
        'corporate_id'
    ];

    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }

    public function corporate()
    {
        return $this->hasOne(Corporate::class, 'id', 'corporate_id');
    }
    
}
